# Firestore ODM

## Configure
Add `gem 'firestore-odm'` to your Gemfile, or from the terminal
```
gem install firestore-odm
```

Then type
```
export GOOGLE_CLOUD_CREDENTIALS=<path_to_google_cloud_credentials>
```

## How to use

```ruby
require 'firestore-odm'

class Account < FirestoreODM::Model
  path :accounts

  field :name, String
  field :email, String
end

account = Account.create do |doc|
  doc.name = 'John Smith'
  doc.email = 'john.smith@example.com'
end

puts account.path     #=> accounts/<document_id>
puts account.to_json  #=> {"name": "John Smith", "email": "john.smith@example.com"}
```
